# Folders Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/folders/

Schema for the `Folders` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a folder
- **`name`** _(string)_
  The name of the folder
- **`folder_url`** _(string)_
  The URL of the folder
- **`size`** _(integer)_
  The size of the folder
- **`description`** _(string)_
  The description of the folder
- **`parent_folder`** _(string)_
  The folder where this folder belongs
- **`drive`** _(string)_
  The drive of the folder where it belongs
- **`created_at`** _(string)_
  The date and time the folder was created
- **`updated_at`** _(string)_
  The date and time the folder was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/folders](/docs/api-reference/unified-file-storage-api/folders/list) — List Folders
- [POST /unified/file-storage/folders](/docs/api-reference/unified-file-storage-api/folders/create) — Create Folders
- [GET /unified/file-storage/folders/{id}](/docs/api-reference/unified-file-storage-api/folders/get) — Get Folders
- [PATCH /unified/file-storage/folders/{id}](/docs/api-reference/unified-file-storage-api/folders/update) — Update Folders
- [DELETE /unified/file-storage/folders/{id}](/docs/api-reference/unified-file-storage-api/folders/delete) — Delete Folders
